> For the complete documentation index, see [llms.txt](https://docs.live-eo.com/tradeaware/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.live-eo.com/tradeaware/using-the-tradeaware-api/api-reference/transactions/retrieve-dds-data.md).

# Retrieve DDS Data

> TRACES is unavailable.\
> DDS reference validation will resume once TRACES is back.

## Fetch Due Diligence Statement data from EUDR Traces system

> More info about EUDR Traces system: <https://green-business.ec.europa.eu/deforestation-regulation-implementation/information-system-deforestation-regulation\\_en>

```json
{"openapi":"3.0.0","info":{"title":"TradeAware API","version":"0.47.0"},"servers":[{"url":"https://api.tradeaware.live-eo.com"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}}},"paths":{"/dds/fetch-dds-data":{"get":{"description":"More info about EUDR Traces system: https://green-business.ec.europa.eu/deforestation-regulation-implementation/information-system-deforestation-regulation_en","operationId":"DdsController_fetchDdsData","parameters":[{"name":"verificationNumber","required":true,"in":"query","description":"The verification number of the DDS","schema":{"type":"string"}},{"name":"referenceNumber","required":true,"in":"query","description":"The reference number of the DDS","schema":{"type":"string"}}],"responses":{"200":{"description":"The DDS data"},"400":{"description":"Incorrect reference or/and verification number"},"403":{"description":"The business does not have permission to manage transactions"},"429":{"description":"Too many requests - Limit: 2 requests per 10 seconds"},"503":{"description":"The DDS data could not be fetched from EUDR Traces system"}},"summary":"Fetch Due Diligence Statement data from EUDR Traces system","tags":["DDS"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.live-eo.com/tradeaware/using-the-tradeaware-api/api-reference/transactions/retrieve-dds-data.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
